Package net.shibboleth.idp.profile.impl

# Class ProfileActionBeanFactoryPostProcessor

java.lang.Object
net.shibboleth.idp.profile.impl.ProfileActionBeanFactoryPostProcessor

All Implemented Interfaces:
  `BeanFactoryPostProcessor`

public class ProfileActionBeanFactoryPostProcessor extends Object implements BeanFactoryPostProcessor
Post-processes bean configuration metadata to ensure that stateful beans are scoped properly. This post-processor will override the scope of any bean whose class or superclass is annotated with `Prototype` and whose scope is not `BeanDefinition.SCOPE_PROTOTYPE` by setting the bean's scope to `BeanDefinition.SCOPE_PROTOTYPE`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`ProfileActionBeanFactoryPostProcessor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`postProcessBeanFactory(ConfigurableListableBeanFactory beanFactory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### ProfileActionBeanFactoryPostProcessor

public ProfileActionBeanFactoryPostProcessor()

## Method Details

### postProcessBeanFactory

public void postProcessBeanFactory(@Nonnull ConfigurableListableBeanFactory beanFactory)

Specified by:
  `postProcessBeanFactory` in interface `BeanFactoryPostProcessor`